> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve profile

> Retrieve the current user profile




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /user/profile
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /user/profile:
    get:
      tags:
        - User profile
      summary: Retrieve profile
      description: |
        Retrieve the current user profile
      operationId: get-user-profile
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: user_L9B4LNaW0xiLXYQoaoPyt5oL9EN0
                      type: users
                      attributes:
                        first_name: Jefferey
                        last_name: Boyer
                        email: lea@crona-hahn.test
                        created_at: '2025-06-06T00:00:00+00:00'
                        updated_at: '2025-08-26T00:00:00+00:00'
                        role:
                          id: role_B48kwVxyWkuxNJ2ZjpoJcx1Bnlo
                          name: owner
                          created_at: '2025-05-05T00:00:00.000Z'
                          updated_at: '2026-11-10T00:00:00.000Z'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/user'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.user_profile.get()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.UserProfile.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.userProfile.get();

              console.log(result);
            }

            run();
components:
  schemas:
    user:
      type: object
      properties:
        id:
          type: string
        attributes:
          type: object
          properties:
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
            authentication_factor_id:
              type: string
            role:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                created_at:
                  type: string
                  format: date-time
                updated_at:
                  type: string
                  format: date-time
            teams:
              type: array
              items:
                $ref: '#/components/schemas/team_include'
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````